View Issue Details

IDProjectCategoryView StatusLast Update
0032724Open CASCADEOCCT:Codingpublic2021-12-11 15:27
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.0.0 
Target Version7.7.0 
Summary0032724: Coding Rules, Graphic3d_Structure - remove unused property Graphic3d_Structure::ContainsFacet()
DescriptionGraphic3d_Structure/Graphic3d_CStructure/Graphic3d_Group keep track if specific group/presentation contains facets or not.
However, this property is used nowhere (interfaces like Ray-Tracing use different ways to filter out faces).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0026149 closedbugmaster Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag 

Activities

git

2021-12-08 14:12

administrator   ~0105745

Branch CR32724 has been created by kgv.

SHA-1: 276a69ccf103cc9cafd042d02c27e28caf82fdd1


Detailed log of new commits:

Author: kgv
Date: Wed Dec 8 14:10:11 2021 +0300

    0032724: Coding Rules, Graphic3d_Structure - remove unused property Graphic3d_Structure::ContainsFacet()

kgv

2021-12-08 15:36

developer   ~0105746

Please raise the patch
- OCCT: branch CR32724.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32724-master-KGV/

smoskvin

2021-12-11 11:35

administrator   ~0105808

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:27

administrator   ~0105828

Branch CR32724 has been deleted by mnt.

SHA-1: 276a69ccf103cc9cafd042d02c27e28caf82fdd1

Related Changesets

occt: master bf2884af

2021-12-08 11:10:11

kgv


Committer: smoskvin Details Diff
0032724: Coding Rules, Graphic3d_Structure - remove unused property Graphic3d_Structure::ContainsFacet() Affected Issues
0032724
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff File
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff File
mod - src/Graphic3d/Graphic3d_CView.cxx Diff File
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
mod - src/Graphic3d/Graphic3d_Group.cxx Diff File
mod - src/Graphic3d/Graphic3d_Group.hxx Diff File
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff File
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff File
mod - src/OpenGl/OpenGl_StructureShadow.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-08 14:09 kgv New Issue
2021-12-08 14:09 kgv Assigned To => kgv
2021-12-08 14:09 kgv Test case number => N/A
2021-12-08 14:09 kgv Description Updated
2021-12-08 14:12 git Note Added: 0105745
2021-12-08 15:36 kgv Note Added: 0105746
2021-12-08 15:36 kgv Assigned To kgv => bugmaster
2021-12-08 15:36 kgv Status new => resolved
2021-12-08 15:36 kgv Status resolved => reviewed
2021-12-08 15:41 kgv Product Version 7.6.0 => 7.0.0
2021-12-08 15:44 kgv Relationship added child of 0026149
2021-12-11 11:35 smoskvin Note Added: 0105808
2021-12-11 11:35 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master bf2884af
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:27 git Note Added: 0105828